<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper page-listuser">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            {{title}}
            <small></small>
        </h1>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="" routerLink="/">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">List User</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="content">
                    
                    <div class="dataTables_wrapper form-inline dt-bootstrap">
                        <table id="table-list_" class="table table-bordered table-hover dataTable">
                            <thead>
                                <tr >
                                    <!-- <th scope="col">ID</th> -->
                                    <th  scope="col">Name</th>
                                    <th  scope="col">Email</th> 
                                    <th  scope="col">Avatar</th>
                                    <th  scope="col" colspan="3" style="text-align: center">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let user of listUser; index as i;" id="id_{{user?.id}}">
                                    <!-- <td>{{user?.id}}</td> -->
                                    <td>{{user?.name }}</td>
                                    <td>{{user?.email }}</td>
                                    
                                    <td><img class="config-img" src="{{user?.avatar}}" alt="">
                                    </td> 
                                    <td class="text-center">
                                        <a href="" routerLink="/chat/inbox/{{user?.id }}"
                                            class="btn-sm btn btn-info ">
                                            Chat
                                        </a>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="text-center" *ngIf="numPage > 10;">
                            <ul class="pagination">
                                <li>
                                    <a (click)="loadPagination(1)">
                                    </a>
                                </li>
                                <li *ngFor="let i of pagination;">
                                    <a (click)="loadPagination(i)" class="{{pageCurrent==i?'active':''}}">{{i}}</a>
                                </li>
                                <li>
                                    <a (click)="loadPagination(numPage)"> >> </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <script>
                    $(function () {
                        $('table-list').DataTable({
                            'paging': true,
                            'lengthChange': false,
                            'searching': false,
                            'ordering': true,
                            'info': true,
                            'autoWidth': false
                        })
                    })</script>
                <!-- set up the modal to start hidden and fade in and out -->
                <div id="myModal_delete" class="modal fade">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <!-- dialog body -->
                            <div class="modal-body">
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                Hello world!
                            </div>
                            <!-- dialog buttons -->
                            <div class="modal-footer"><button type="button" class="btn btn-primary">OK</button></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->